@import "../variable";

/** Grid */
.pw-g {
	display: grid;
}

@for $c-s from 1 through 11 {
	@for $c-e from 2 through 12 {
		.pw-g-#{$c-s}-#{$c-e} {
			grid-column: #{$c-s} / #{$c-e};
		}
	}
}

@media screen and (max-width: #{$sp}) {
	@for $c-s from 1 through 11 {
		@for $c-e from 2 through 12 {
			.pw-sp-g#{$c-s}-#{$c-s} {
				grid-column: #{$c-s} / #{$c-e};
			}
		}
	}
}
